You're viewing **Apigee Edge** documentation.  
[Go to the
**Apigee X** documentation](http://cloud.google.com/apigee/docs). info

On August 20, 2020, we released a new version of Apigee Edge for Private Cloud.

> [!NOTE]
> For more information, see the following resources:
>
> - *[Edge for Private Cloud 4.50.00
>   documentation](https://docs.apigee.com/private-cloud/v4.50.00)*
> - *Questions or issues?* Contact [Apigee Edge Support](https://docs.apigee.com/api-platform/troubleshoot/support)
> - *Release notifications* : See [Get Apigee Edge release notifications](https://docs.apigee.com/release/get-release-notifications)

## Update procedure

To update your installation, perform the following procedure on the Edge nodes:

1. On all Edge nodes:

   1. Clean the Yum repos:

      ```
      sudo yum clean all
      ```
   2. Download the latest Edge 4.50.00 `bootstrap_4.50.00.sh` file to `/tmp/bootstrap_4.50.00.sh`:

      ```
      curl https://software.apigee.com/bootstrap_4.50.00.sh -o /tmp/bootstrap_4.50.00.sh
      ```
   3. Install the Edge 4.50.00 `apigee-service` utility and dependencies:

      ```
      sudo bash /tmp/bootstrap_4.50.00.sh apigeeuser=uName apigeepassword=pWord
      ```

      Where <var translate="no">uName:pWord</var> are the username and password you received from Apigee.
      If you omit <var translate="no">pWord</var>, you will be prompted to enter it.
   4. Update the `apigee-setup` utility:

      ```
      sudo /opt/apigee/apigee-service/bin/apigee-service apigee-setup update
      ```
   5. Use the `source` command to execute the `apigee-service.sh` script:

      ```
      source /etc/profile.d/apigee-service.sh
      ```
2. On all Edge nodes, execute the `update.sh` script for the `edge` process. To do this, execute the following command on each node:

   ```
   /opt/apigee/apigee-setup/bin/update.sh -c edge -f configFile
   ```

   where <var translate="no">configFile</var> specifies the configuration file that you used to install
   Apigee Edge for Private Cloud. For example, `/opt/silent.conf`.

## Supported software

No changes.

## Deprecations and retirements

The `privateKeyExportable` query parameter on the `Aliases` API has
been deprecated.

## New Features

No changes.

## Bugs fixed

The following table lists the bugs fixed in this release:

| Issue ID | Description |
|---|---|
| 162981490 | **`UnresolvedVariable` error due to empty `AssignVariable` template** If the `Template` field of `AssignVariable` was empty, no dynamic flow variable was created and further reference to that variable resulted in an `UnresolvedVariable` error. |
| 163159830 | **No null check for index in `KeyValueMapOperations` policy** When getting a KVM entry using the `KeyValueMapOperations` policy, there was no null check on the `index` field, which could result in a `NullPointerException`. |
| 163789418 | **Keystores with multiple certificates were not supported for certs with multiple SANs.** Management servers were failing to start and returning the error "KeyStores with multiple certificates are not supported," which was caused by certificates with multiple SANs. **Note:** Certificates with multiple SANS are supported. |